<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:43:43 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.protocol Class Hierarchy (HttpCore 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.protocol Class Hierarchy (HttpCore 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/pool/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.protocol
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/BasicHttpContext.html" title="class in org.apache.http.protocol"><B>BasicHttpContext</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>)
<UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/SyncBasicHttpContext.html" title="class in org.apache.http.protocol"><B>SyncBasicHttpContext</B></A></UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/BasicHttpProcessor.html" title="class in org.apache.http.protocol"><B>BasicHttpProcessor</B></A> (implements java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>, org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestInterceptorList.html" title="interface in org.apache.http.protocol">HttpRequestInterceptorList</A>, org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpResponseInterceptorList.html" title="interface in org.apache.http.protocol">HttpResponseInterceptorList</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/DefaultedHttpContext.html" title="class in org.apache.http.protocol"><B>DefaultedHttpContext</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HTTP.html" title="class in org.apache.http.protocol"><B>HTTP</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpCoreContext.html" title="class in org.apache.http.protocol"><B>HttpCoreContext</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ExecutionContext.html" title="interface in org.apache.http.protocol">ExecutionContext</A>, org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpDateGenerator.html" title="class in org.apache.http.protocol"><B>HttpDateGenerator</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol"><B>HttpProcessorBuilder</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestExecutor.html" title="class in org.apache.http.protocol"><B>HttpRequestExecutor</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerRegistry.html" title="class in org.apache.http.protocol"><B>HttpRequestHandlerRegistry</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol">HttpRequestHandlerResolver</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpService.html" title="class in org.apache.http.protocol"><B>HttpService</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ImmutableHttpProcessor.html" title="class in org.apache.http.protocol"><B>ImmutableHttpProcessor</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestConnControl.html" title="class in org.apache.http.protocol"><B>RequestConnControl</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestContent.html" title="class in org.apache.http.protocol"><B>RequestContent</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestDate.html" title="class in org.apache.http.protocol"><B>RequestDate</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestExpectContinue.html" title="class in org.apache.http.protocol"><B>RequestExpectContinue</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestTargetHost.html" title="class in org.apache.http.protocol"><B>RequestTargetHost</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/RequestUserAgent.html" title="class in org.apache.http.protocol"><B>RequestUserAgent</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ResponseConnControl.html" title="class in org.apache.http.protocol"><B>ResponseConnControl</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ResponseContent.html" title="class in org.apache.http.protocol"><B>ResponseContent</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ResponseDate.html" title="class in org.apache.http.protocol"><B>ResponseDate</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ResponseServer.html" title="class in org.apache.http.protocol"><B>ResponseServer</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/UriHttpRequestHandlerMapper.html" title="class in org.apache.http.protocol"><B>UriHttpRequestHandlerMapper</B></A> (implements org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerMapper.html" title="interface in org.apache.http.protocol">HttpRequestHandlerMapper</A>)
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/UriPatternMatcher.html" title="class in org.apache.http.protocol"><B>UriPatternMatcher</B></A>&lt;T&gt;</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/ExecutionContext.html" title="interface in org.apache.http.protocol"><B>ExecutionContext</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol"><B>HttpContext</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpExpectationVerifier.html" title="interface in org.apache.http.protocol"><B>HttpExpectationVerifier</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandler.html" title="interface in org.apache.http.protocol"><B>HttpRequestHandler</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerMapper.html" title="interface in org.apache.http.protocol"><B>HttpRequestHandlerMapper</B></A><LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestHandlerResolver.html" title="interface in org.apache.http.protocol"><B>HttpRequestHandlerResolver</B></A><LI TYPE="circle">org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http"><B>HttpRequestInterceptor</B></A><UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><B>HttpProcessor</B></A> (also extends org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>)
</UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpRequestInterceptorList.html" title="interface in org.apache.http.protocol"><B>HttpRequestInterceptorList</B></A><LI TYPE="circle">org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http"><B>HttpResponseInterceptor</B></A><UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><B>HttpProcessor</B></A> (also extends org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>)
</UL>
<LI TYPE="circle">org.apache.http.protocol.<A HREF="../../../../org/apache/http/protocol/HttpResponseInterceptorList.html" title="interface in org.apache.http.protocol"><B>HttpResponseInterceptorList</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/pool/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
